Update gnome-desktop3 to 3.26.2

Bug #1729103 reported by Jeremy Bicha on 2017-10-31
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-desktop3 (Ubuntu)
Low
Unassigned
Artful
Low
Unassigned

Bug Description

Impact
------
This updates the GNOME version number reported in Settings > Details > About to 3.26.2

We do our own translations so the translation updates should have nearly no impact.

Since we're updating most of the other GNOME packages to 3.26.2, it's appropriate to do this update too.

https://git.gnome.org/browse/gnome-desktop/tree/NEWS?h=gnome-3-26
https://git.gnome.org/browse/gnome-desktop/log?h=gnome-3-26

Test Case
=========
From Ubuntu 17.10, open the Settings app.
Navigate to Details > About
The GNOME version number should say 3.26.2

Regression Potential
====================
There is a micro-release exception for GNOME:
https://wiki.ubuntu.com/StableReleaseUpdates#GNOME

Jeremy Bicha (jbicha) on 2017-10-31
Changed in gnome-desktop3 (Ubuntu Artful):
importance: Undecided → Low
status: New → Triaged
Jeremy Bicha (jbicha) on 2017-11-01
description: updated
Jeremy Bicha (jbicha) on 2017-11-09
Changed in gnome-desktop3 (Ubuntu Artful):
status: Triaged → In Progress
Changed in gnome-desktop3 (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-desktop3 - 3.26.2-1ubuntu1

---------------
gnome-desktop3 (3.26.2-1ubuntu1) bionic; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Add 04_compute_average_color.patch: Compute the avergage color in
      gnome-desktop itself, not in unity to fix some races (LP #963140)
    - Add tweak_color_computation.patch, Patch from Gord, no patch header,
      no bug link.
    - Add git_revert_draw_background.patch
    - Add ubuntu_language.patch, Port relevant bits from gnome-control-center's
      52_region_language.patch, as required for gnome 3.8+ region panel
    - Add ubuntu_language_list_from_SUPPORTED.patch,
      Add API to get list of available languages from SUPPORTED file.
      To be used by gnome 3.8 region panel language installation.
    - Add gnomebg_hidpi_image.patch,
      gnome_bg_create_surface: always honor device scale, that fixes the
      wallpaper rendering in HiDPI config under ubiquity (LP: #1382291)
    - Add disable-bubblewrap.patch:
      + Don't use bubblewrap since it's not in main yet. See bug 1709164.
    - debian/control.in: Don't depend on bubblewrap
    - debian/libgnome-desktop-3-12.symbols:
      + Add symbols included in Ubuntu patches

gnome-desktop3 (3.26.2-1) unstable; urgency=medium

  * New upstream release (LP: #1729103)

gnome-desktop3 (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-bubblewrap.patch: Applied in new release
  * Bump Standards-Version to 4.1.1

gnome-desktop3 (3.26.0-2) unstable; urgency=medium

  * Drop disable-bubblewrap.patch
  * Add fix-bubblewrap.patch:
    - Cherry-pick fix for bubblewrap sandbox

gnome-desktop3 (3.26.0-1) unstable; urgency=medium

  * New upstream release

gnome-desktop3 (3.25.92-1) unstable; urgency=medium

  * New upstream release

gnome-desktop3 (3.25.91.1-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release (3.26 beta).
    - Bump build-dependencies
    - Add a build-dependency against libseccomp-dev on linux architectrues
    - Add a dependency against bubblewrap on linux architectrues, this is
      needed to sandbox the thumbnailers.
  * debian/libgnome-desktop-3-12.symbols: Add newly exported symbol
  * debian/control.in:
    - Bump Standards-Version to 4.1.0 (no further changes)
    - Remove ancient (pre stretch) Breaks/Replaces

  [ Jeremy Bicha ]
  * Add disable-bubblewrap.patch:
    - Don't use new bubblewrap sandbox since it currently breaks the
      thumbnailer on Debian-based systems.
      See https://bugzilla.gnome.org/785963

 -- Jeremy Bicha <email address hidden> Wed, 08 Nov 2017 21:38:18 -0500

Changed in gnome-desktop3 (Ubuntu):
status: Fix Committed → Fix Released

Hello Jeremy, or anyone else affected,

Accepted gnome-desktop3 into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-desktop3/3.26.2-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-desktop3 (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-artful
Jeremy Bicha (jbicha) wrote :

I completed the test case successfully with gnome-desktop3 3.26.2-0ubuntu0.1 on Ubuntu 17.10.

tags: added: verification-done verification-done-artful
removed: verification-needed verification-needed-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-desktop3 - 3.26.2-0ubuntu0.1

---------------
gnome-desktop3 (3.26.2-0ubuntu0.1) artful; urgency=medium

  * New upstream release (LP: #1729103)

 -- Jeremy Bicha <email address hidden> Wed, 08 Nov 2017 21:46:26 -0500

Changed in gnome-desktop3 (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-desktop3 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers